org.eclipse.actf.visualization.eval

## Interface IGuidelineItem

    public interface IGuidelineItem

Interface to hold guideline item information

### Method Summary

Methods
`String` `getGuidelineName()`
`String` `getId()`
`String` `getLevel()`
`String` `getUrl()`
`boolean` `isEnabled()`
`void` `setEnabled(boolean isEnabled)` Set this item is enabled or not
`void` `setId(String id)` Deprecated.
`void` `setLevel(String level)` Deprecated.
`void` `setUrl(String url)` Deprecated.

### Method Detail

#### getGuidelineName

    String getGuidelineName()

Returns:
  name of guideline

#### getLevel

    String getLevel()

Returns:
  level of guideline item (e.g., P1, P2, etc.)

#### getId

    String getId()

Returns:
  ID of guideline item (e.g., 1.1, 2.2, etc.)

#### getUrl

    String getUrl()

Returns:
  URL of public introduction page of guideline item

#### isEnabled

    boolean isEnabled()

Returns:
  true if this item is enabled

#### setEnabled

    void setEnabled(boolean isEnabled)

Set this item is enabled or not

Parameters:
  `isEnabled` -

#### setLevel

    void setLevel(String level)

Deprecated.
Set level of guideline item (e.g., P1, P2, etc.)

Parameters:
  `level` - target level

#### setId

    void setId(String id)

Deprecated.
Set ID of guideline item (e.g., 1.1, 2.2, etc.)

Parameters:
  `id` - target id

#### setUrl

    void setUrl(String url)

Deprecated.
Set URL of public introduction page of guideline item

Parameters:
  `url` - target URL